#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;
using sll = __int128;

template <typename T>
istream &operator>>(istream &in, pair<T, T> &a){
    in >> a.first >> a.second;
    return in;
}

template <typename T>
ostream &operator<<(ostream &out, pair<T, T> &a){
    out << a.first << ' ' << a.second;
    return out;
}

template <typename T>
istream &operator>>(istream &in, vector<T> &a){
    for(auto &x : a) in >> x;
    return in;
}

template <typename T>
ostream &operator<<(ostream &out, vector<T> &a){
    for(auto x : a) out << x << ' ';
    return out;
}

int n, k;
ll ans = 0;
vector<ll> a;

void gen(int ind, vector<ll> mx, vector<ll> cnt){
    if(ind == n){
        ll res = 0;
        for(int i = 1; i <= k; i++){
            if(cnt[i] == 0) return;
            res += mx[i];
        }
        ans = max(ans, res);
        return;
    }
    for (int i = 1; i <= k; i++) {
        ll prev = mx[i];
        cnt[i]++;
        mx[i] = max(mx[i], a[ind] + cnt[i] + 1);
        gen(ind + 1, mx, cnt);
        mx[i] = prev;
        cnt[i]--;
    }
}

void solve(){
    cin >> n >> k;
    a.resize(n);
    cin >> a;
    for(int i = 0; i < k; i++){
        ans += a[n - i - 1] + 1;
    }
    cout << ans;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int test = 1;
//    cin >> test;
    while(test--){
        solve();
    }
}

